[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Notification

Handles the notification when a component is added to or removed from the class instance.

## Declaration

Source position: comctrls.pp line 3630

`protected procedure TCustomTreeView.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification event.
`Operation` |  | Operation performed for the component.

## Description

Notification is an overridden method in TCustomTreeView, and calls the inherited method on entry. It ensures that the member for Images or StateImages is set to Nil when the component is removed from the class instance.

## See also

TControl.Notification |  | Notification handler for insertion or deletion of components.